Bug 51488 - NFS writes hang occasionally, but work eventually.
NFS writes hang occasionally, but work eventually.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-08-10 18:02 EDT by Steve Losen
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-11 06:45:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Losen 2001-08-10 18:02:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.2-2 i686)

Description of problem:
NFS writes hang now and then, resulting in a NFS server not
responding message in /var/log/messages.  This is most noticeable
(and annoying) when using vi to edit a file in a NFS mounted
directory.  Vi freezes now and then, presumably when auto saving
changes.  Have also gotten NFS server not responding messages from
other programs writing to NFS mounted directory, but this is
less noticable than vi freezing.  NFS service recovers and I
have not experienced any data loss or corruption.

How reproducible:

Steps to Reproduce:
1. Use vi to edit a file in a NFS mounted directory
2. After awhile vi will freeze (no response to keystrokes)
   It seems to happen fairly often when you write changes with :w
3. After 10 sec or so vi resumes and processes your buffered

Actual Results:  Vi froze now and then.  Got NFS server not responding
in /var/log/messages.  Have also gotten these messages with
other programs that write files in a NFS mounted directory, but
it is most aggravating with vi because it keeps freezing.  I
suspect this happens when vi auto saves periodically.

Expected Results:  Vi should not freeze.  Other (not Linux 7.1) NFS clients
on this network having no trouble with NFS server.

Additional info:

My system is a Dell OptiPlex GX100 with a 3Com PCI 3c905C Tornado
Network Card (according to dmesg).

I have experienced this problem with 2 different NFS servers:
IBM RS/6000 running AIX 4.3
Network Appliance F630 fileserver running ONTAP 6.0.1R3

I have experienced this problem on another Linux 7.1 system on this
same network.  This box was built here from parts. not sure of the
hardware details.  Other NFS clients (Solaris, AIX, IRIX) on this
network have no problems with these NFS servers.

I am mounting rw,hard,intr  I presume I am getting NFS vers 3.
I am not specifying rsize or wsize.

Never had problems with RedHat 6.2, but that used NFS vers 2.

Have not tried vers=2 or smaller rsize, wsize.
Comment 1 John Dalbec 2001-09-26 14:52:20 EDT
I have the same problem.  kernel 2.4.3-15enterprise (with knfsd/reiserfs/quota
patches from www.namesys.com).  The NFS exported filesystem is reiserfs and
quotas are enabled.
The exported device is accessed through an aic7xxx card using aic7xxx_mod.o. 
Client logs show 'NFS server ... not responding, still trying' message.
IBM e(logo)Server xSeries 230 client and server.  PCnet/FAST III 79C975 (PCI)
using pcnet32 driver.  Mount options rw,rsize=8192,wsize=8192,hard,intr.  Is
this just a throughput/latency tradeoff?  Will upgrading to 2.4.7 help?
Comment 2 Mike Cooling 2002-04-25 13:36:31 EDT
This is very similar to my problem #58747, also accessing a Netapp filer V6.1.1R2. However we are using the Intel 82557 Ethernet Pro 100 card. 
We have sniffer traces that show Redhat stops asking the filer for data while it is reporting that the filer is not responding. Then all of a suddent, it 
starts asking the filer for data again. Looks like something is getting lost in the kernel.
Comment 3 Steve Dickson 2004-08-11 06:45:52 EDT
This seems to be fixed in later kernels.

Note You need to log in before you can comment on or make changes to this bug.